import { Acid, IChromosome } from '..';
export declare abstract class ChromosomeBase implements IChromosome {
    private readonly _length;
    private readonly genes;
    fitness: number | undefined;
    protected constructor(_length: number);
    get length(): number;
    getGene(index: number): Acid;
    setGene(index: number, gene: Acid): void;
    abstract generateGene(index: number): Acid;
    generateGenes(): void;
    abstract createNew(): ChromosomeBase;
    clone(): ChromosomeBase;
    copyFrom(from: ChromosomeBase): void;
    mutation(index: number): void;
}
